
//  KopioiTiedosto.java  (c) Kari Laitinen

//  http://www.naturalprogramming.com

//  2006-03-06  File created.
//  2006-03-06  Last modification.

import java.util.* ;
import java.io.* ;    //  Luokat tiedostojen kasittelyyn

class KopioiTiedosto
{
   public static void main( String[] ei_kaytossa )
   {
      Scanner nappaimisto = new Scanner( System.in ) ;

      System.out.print( "\n Tama ohjelma kopioi tekstitiedoston sisallon"
                     +  "\n toiseen tiedostoon. Anna kopioitavan"
                     +  "\n tiedoston nimi: " ) ;

      String kopioitavan_tiedoston_nimi  =  nappaimisto.nextLine() ;

      System.out.print( "\n Anna uuden kopiotiedoston nimi: " ) ;

      String uuden_kopiotiedoston_nimi  =  nappaimisto.nextLine() ;

      try
      {
         BufferedReader kopioitava_tiedosto  =  new BufferedReader(
                         new FileReader( kopioitavan_tiedoston_nimi ) ) ;

         PrintWriter uusi_kopiotiedosto  =  new PrintWriter(
                         new FileWriter( uuden_kopiotiedoston_nimi ) ) ;

         System.out.print( "\n Kopiointi kaynnissa ... \n" ) ;

         int  tekstirivilaskuri  =  0 ;
         boolean  input_tiedoston_loppu_kohdattu  =  false ;

         while ( input_tiedoston_loppu_kohdattu  ==  false )
         {
            String tekstirivi_tiedostosta  =  kopioitava_tiedosto.readLine() ;

            if ( tekstirivi_tiedostosta  ==  null )
            {
               input_tiedoston_loppu_kohdattu  =  true ;
            }
            else
            {
               uusi_kopiotiedosto.println( tekstirivi_tiedostosta ) ;

               tekstirivilaskuri  ++  ;
            }
         }

         System.out.print( "\n Kopiointi valmis. " + tekstirivilaskuri
                        +  " rivia kopioitiin. \n" ) ;
         kopioitava_tiedosto.close() ;
         uusi_kopiotiedosto.close() ;
      }
      catch ( FileNotFoundException  vangittu_tiedostoa_ei_loydy_poikkeus )
      {
         System.out.print( "\n\n  Tiedostoa \"" + kopioitavan_tiedoston_nimi
                        +  "\" ei loytynyt.\n" ) ;
      }
      catch ( IOException  vangittu_io_poikkeus )
      {
         System.out.print( "\n\n  Virhe. Ei voida kirjoittaa tiedstoon \""
                        +  kopioitavan_tiedoston_nimi + "\".\n" ) ;
      }
   }
}



